IF COL_LENGTH('Empresas_IP', 'IP') IS NULL 
BEGIN
	CREATE TABLE Empresas_IP (
		 Id_Emp_Ip  INT IDENTITY(1,1) NOT NULL,
		 Id_Empresa SMALLINT DEFAULT(0),
		 [IP]			VARCHAR(20),
		 [Url]			VARCHAR(300),
		 CONSTRAINT PK_EMPIP_PorId PRIMARY KEY CLUSTERED (Id_Emp_Ip)
		 )
    CREATE INDEX IX_EMPIP_PorEmpIp ON Empresas_IP (Id_Empresa,[IP])
END
ELSE
BEGIN
    IF COL_LENGTH('Empresas_IP', 'Url') IS NULL 
		ALTER TABLE Empresas_IP ADD [Url] VARCHAR(300)

	DROP INDEX IX_EMPIP_PorEmpIp ON Empresas_IP
	ALTER TABLE Empresas_IP ALTER COLUMN [IP] VARCHAR(20)
	CREATE INDEX IX_EMPIP_PorEmpIp ON Empresas_IP (Id_Empresa,[IP])
END

